
.mt-70 {
    margin-top: 70px;
}
.lh-2{
    line-height: 2!important;
}
.lh-1{
    line-height: 1!important;
}

.px-2-5{
    padding-left: 2.5rem!important;
    padding-right: 2.5rem!important;
}

@media (max-width: 991.98px) {
    .px-2-5{
        padding-left: 1rem!important;
        padding-right: 1rem!important;
    }
}

.input-group.input-group-outline.is-filled .form-label + .form-control 

{
    border-color: var(--bs-gray-500)!important;
    border-top-color: transparent !important;
    box-shadow: none!important;
} 

.input-group.input-group-outline.is-filled .form-label { 


    color: var(--bs-gray-900)!important;
}

.input-group.input-group-outline.is-filled .form-label:before {
    border-top-color: var(--bs-gray-500)!important;
    box-shadow: inset 0 0px var(--bs-gray-500)!important;
}

.input-group.input-group-outline.is-filled .form-label:after {
    border-top-color: var(--bs-gray-500)!important;
    box-shadow: inset 0 0px var(--bs-gray-500)!important;
}
 /* Fieldset styling: minimal margins/padding */
 .compact-fieldset {
    border: 1px solid #adb5bd;
    /* same border style as before */
    border-radius: 0.25rem;
    /* reduce space between fieldsets */
    padding: 1em;
    /* minimal padding around input */
    position: relative;
    margin-top: -0.40rem;
}

/* Legend styling: smaller font, minimal padding around text */
.compact-fieldset legend {
    font-size: 0.6875rem !important;
    line-height: 1.25 !important;
    margin: 0;
    padding: 0 0.3rem;
    width: auto;
    float: none;
    color: #212529;
}

/* Input styling: smaller font, narrower width, smaller height */
.compact-input {
    font-size: 0.7rem;
    height: 1.2rem;
    width: 60%;
    border: 0;
    margin: 0.1rem 0;
}

.page-item.active .page-link{
    background-color: var(--bs-pagination)!important;
    border-color: var(--bs-pagination)!important;

}
.visibility-hidden{
    visibility: hidden;
}
.display-block{
    display: block;
}

.custom-dropdown {
    max-height: 250px; /* Set max height */
    overflow: hidden; /* Hide overflow outside */
}

.dropdown-scroll {
    max-height: 200px; /* Adjust height as needed */
    overflow-y: auto; /* Enable vertical scroll */
}

.selected-crops {
    display: inline-block;
    max-width: 100%; /* Adjust width as needed */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: middle;
}

.input-group.input-group-outline.is-focused .form-label:before {
    border-top-color: var(--bs-primary)!important;
    box-shadow: inset 0 0px var(--bs-gray-500)!important;
}

.input-group.input-group-outline.is-focused .form-label:after {
    border-top-color: var(--bs-primary)!important;
    box-shadow: inset 0 0px var(--bs-gray-500)!important;
}

.input-group.input-group-outline.is-focused .form-label + .form-control 

{
    border-color: var(--bs-primary)!important;
    border-top-color: transparent !important;
    box-shadow: none!important;
} 

.input-group.input-group-outline button.form-control {
    border-left-color: var(--bs-gray-500)!important;
    border-right-color: var(--bs-gray-500)!important;
    border-bottom-color: var(--bs-gray-500)!important;
}

.input-group.input-group-outline button.form-control.show {

    border-left-color: var(--bs-primary)!important;
    border-right-color: var(--bs-primary)!important;
    border-bottom-color: var(--bs-primary)!important;
    
}

.input-group.input-group-outline button.form-control.show label::after {

    border-left-color: var(--bs-primary)!important;
    
}

.input-group.input-group-outline.is-filled:has(.show) > .form-label:before {
   
    border-top-color:  var(--bs-primary)!important;
}
.input-group.input-group-outline.is-filled:has(.show) > .form-label:after {
   
    border-top-color:  var(--bs-primary)!important;
}
.auto-complete-field {
    
}


/* 


.input-group.input-group-outline.is-focused .form-label + .form-control, .input-group.input-group-outline.is-filled .form-label + .form-control:focus{
    border-color: #922790 !important;
    border-radius: 5px;
}
.form-control:focus {
    border-color: #922790 !important;
    border-top:0!important;
    border-radius: 5px;
}
label.form-check-label,.dropdown.dropdown-hover .dropdown-menu, .dropdown .dropdown-menu{
    transform:none !important;
    color:#212529;
    will-change: auto  !important;
}
 */

.sidenav .nav-link.active {
    background-color:var(--bs-dark) !important; /* Or use #0d6efd */
    color: #fff !important; /* Ensure text is visible */
    border-radius: 0.375rem; /* Optional rounding */
}


.table-secondary {
    --bs-table-bg: var(--bs-dark);
    color: #ffffff;
}

.btn-primary,
.btn.bg-gradient-primary {
  box-shadow: none !important;
  background-image: none !important;
  background-color:var(--bs-dark) !important; /* or your base color */
  border-color: var(--bs-dark)!important;
}

.btn-primary:hover,
.btn.bg-gradient-primary:hover,
.btn-primary:focus,
.btn.bg-gradient-primary:focus,
.btn-primary:active,
.btn.bg-gradient-primary:active,
.btn-primary:focus-visible,
.btn.bg-gradient-primary:focus-visible {
  box-shadow: none !important;
  background-color: var(--bs-dark) !important;  /* same color as base to avoid change */
  border-color: var(--bs-dark) !important;
  outline: none !important;
}


.btn-outline-primary.active {
    color: #ffffff !important;
}

.text-primary {
  color: var(--bs-dark) !important;
}

.bg-primary {
  background-color:  var(--bs-dark) !important; }

.btn-outline-primary {
  box-shadow: none; }
  .btn-outline-primary:hover:not(.active) {
    background-color: transparent;
    opacity: .75;
    box-shadow: none;
    color: var(--bs-dark); }